Subject: Re: Command Live vs. Makefile command
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Phil LaVallee <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 20 Aug 1999 13:14:15 -0400

At 01:00 PM 8/20/99 -0400, you wrote:
>Hi,
>	Does anyone have any ideas why the following Bourne shell
>"script" works from the command line but when passed into the shell from
>a makefile crashes.
>
>[host=PHIL] make target
>if [ ! -d nt ] ; then echo NO; fi
>! was unexpected at this time.
>make: *** [target] Error 0x1
>
>[host=PHIL] cat -t -v -e makefile
>$
>target : $
>^Iif [ ! -d nt ] ; then echo NO; fi$
>
>[host=PHIL] if [ ! -d nt ] ; then echo NO; fi
>NO
>[host=PHIL]
>
>	This installation was done prior to my arrival so I suspect it
>may be some environmental/setup issues but I'm not sure. Any help would
>be greatly appreciated.
>
>Thanks,
>Phil
>
>------------------------------------------------------------------------
>-----------------
>Phillip E. LaVallee
>Software Configuration Management Engineer
>Ignitus Communications
>(978) 929-9133 x353
>
>

Probably because you are running in bash interactively but /bin/sh using
the makefile and /bin/sh != /bin/bash on your system.  /bin/sh by default
is ash, not bash.  ash is faster than bash but it doesn't understand allot
of stuff that bash (and any other decent shell) does.  Check this and if
this is the problem, I'd recommend switching sh to be bash (although feel
free to patch ash if you really want to!;-))

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX
                                        (508) 560-1285 - cell phone

--
Want to unsubscribe from this list?
Send a message to [email-masked]